<template lang="pug">
	//-require @/pug/lipsum.pug

	article#buscar
		//- include /lipsum
		form.formulario( @submit.prevent="buscar" )
			.ingreso
				input( type="search", name="valor", placeholder="Buscar imágenes, videos, archivos", v-model="v", "required" )
				button( type="submit" ): v-icon(name="search")
				//-.sugerencias
					- var i = 0
					while i < 10
						- i++
						.item: a(href="#!"): +lipsum(4, "words")
			//-pre {{ categorias }}
			.opciones
				.opcion
					input#c0( type="radio", name="categoria", value="1", checked, v-model="c" )
					label( for="c0" ): span Todos
				.opcion( v-for="item in categorias", :key="item.id" )
					input( :id="'c'+item.id", type="radio", name="categoria", :value="item.id", v-model="c" )
					label( :for="'c'+item.id" )
						router-link( :to="{ name: 'categoria', params: { id: item.id }}")
							span {{ item.nombre }}
				//-.opcion
					input#c1( type="radio", name="categoria", value=1 )
					label( for="c1" ) Categoría 1
				//-.opcion
					input#c2( type="radio", name="categoria", value=2 )
					label( for="c2" ) Categoría 2
				//-.opcion
					input#c3( type="radio", name="categoria", value=3 )
					label( for="c3" ) Categoría 3

	//-article#buscar
		//-
			Referencia
			https://community.algolia.com/vue-instantsearch/getting-started/getting-started.html

		//--ais-index( app-id="YT7KMQ4J7B", api-key="5dd6e936f227a13ca982530581dbe2e4", index-name="getstarted_actors" )
		//-ais-index( app-id="latency", api-key="3d9875e51fbd20c7754e65422f7ce5e1", index-name="bestbuy" )
			ais-search-box
			ais-results: template(slot-scope="{ result }")
				h2: ais-highlight( :result="result", attribute-name="name" )
			ais-powered-by


</template>

<script>
import ItemCampo from "@/components/ItemCampo"
import { mapState, mapActions } from 'vuex'

export default {
	name:"Buscar",
	components:{
		ItemCampo
	},
	data(){	return { v:"", c:"" }},
	props:{
		categoria: {
			type: String,
			default: "1"
		},
		valor: {
			type: String,
			default: ""
		},
	},
	computed:{
		_categoria(){
			return this.categoria;
		},
		_valor(){
			return this.valor;
		},
		...mapState([
			"categorias",
		])
	},
	methods:{
		buscar(){
			console.log("buscar")
			this.buscarArchivos({
				categoria: this.c,
				valor: this.v
			});
			this.$router.push({
				name: 'busqueda',
				query: {
					categoria: this.c,
					valor: this.v
				}
			})
		},
		...mapActions([
			"buscarArchivos"
		])
	},
	mounted(){
		this.v = this.valor;
		this.c = this.categoria;
	}
}
</script>

<style lang="stylus" scoped>
@import '~nib/index'
@import "~@stylus/base/utiles.styl"

#buscar
	display flex
	flex-direction column
	justify-content center

.formulario
	padding .5rem

	h1
		color gris
		margin 0 0 1rem

.ingreso
	align-items center
	background-color blanco
	font-size calcRem( 24 )
	border-radius 2rem
	overflow hidden
	box-shadow 0 4px 8px -4px alpha( negro, 50% )
	position relative
	display flex
	align-items stretch

	input[type="search"]
		flex 1 1 auto
		border none
		margin 1em 1.5rem
		width auto
		outline none
		min-width 50%
		font-size 0.9rem

	button
		flex 0 0 auto
		padding 0.5em 1em
		border none
		//border-radius 0 2rem 2rem 0
		background-color rojo
		cursor pointer

.opciones
	display flex
	justify-content space-around
	padding 0
	margin 1rem -0.5rem

	.opcion
		color blanco
		border-radius 2rem
		margin 0 0.5rem
		padding 0.5em
		background-color alpha( tint( azul, 50% ), 50% )
		display flex
		align-items center

		input
			display none

			&:checked
				& + label
					&::before
						background-color  tint( azul, 20% )

		label
			line-height 1
			cursor pointer
			display flex

			&::before
				flex 0 0 1em
				content ""
				width 1em
				height 1em
				display inline-block
				vertical-align baseline
				background-color tint( azul, 90% )
				margin 0 0.5em -.15em 0
				border-radius 1em
				box-sizing border-box
				border 0.25em solid tint( azul, 90% )
				transition all 150ms
		span
			flex 0 1 auto
			white-space nowrap
		a
			text-decoration none
			color inherit


.sugerencias
	grid-area sugerencias
	//absolute top 100% left 1rem right 3rem
	padding 0 1rem 0.5rem
	width  100%
	background-color blanco
	box-shadow 0 4px 8px -4px alpha( negro, 50% )
	border-top 1px solid lighten( gris, 50% )

	.item
		padding .4rem
		text-align left

.icon-search
	color blanco
	fill transparente
	width 1em
</style>
